#/bin/sh

# This script should be called from connector_manager.sh, and accepts the following parameters:
#  start_JText.sh <CONNECTORNAME> <SERVERNAME> <OPTIONAL ADDITIONAL PARAMETERS>

# set the name to be the application connector that is starting
CONNAME=$1

# set the server name to be the interchange that is being targeted
SERVER=$2

SERVER=$2
. ${CROSSWORLDS}/bin/CWConnEnv.sh

# set the directory where the specific connector resides
CONNDIR=${CROSSWORLDS}/connectors/${CONNAME}

################################################
# Connector specific variable initialization section
# Set your Connector agent here

CONNECTOR_TYPE="-l"                  
CONNECTOR_AGENT=com.crossworlds.connectors.jtext.ConnectorAgent
CONJAR=${CONNDIR}/CWJText.jar


#for FTP jar
COMMONS_NET=${CONNDIR}/Dependencies/jakarta-oro-2.0.8.jar:${CONNDIR}/Dependencies/commons-net-1.1.0.jar

#Any specific variables defined above need to be added to the CON_SPECIFIC_CLASSPATH below.
#CR 8851
#CON_SPECIFIC_CLASSPATH=${CONJAR}:${CWCLASSES}:${DATAHANDLER}:${CUST_DATAHANDLER}:${IBM_XML4J}
CON_SPECIFIC_CLASSPATH=${CONJAR}:${CWCLASSES}:${XML_PARSER}:${COMMONS_NET}

# Set any Connector specific start options here (Like -t or -fno etc.)
CON_START_OPTIONS=" "

#set class path

CWCLASSES=${CWCLASSES}
CLASSPATH=${CON_SPECIFIC_CLASSPATH}:${CWCLASSES}
echo $CLASSPATH
${CROSSWORLDS}/bin/check_path.sh "$CLASSPATH"

# start the Java connector under the Java Application End
#-Duser.home={CROSSWORLDS
# REVISIT : On solaris we use Java instead of jre
exec ${CWJAVA}  ${JVM_FLAGS} -Xms64m  -Djava.ext.dirs=${JRE_EXT_DIRS}  -classpath ${CLASSPATH}  AppEndWrapper ${CONNECTOR_TYPE}${CONNECTOR_AGENT} -n${CONNAME}Connector -s${SERVER} ${CON_START_OPTIONS} $3 $4 
